<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>

        <variable
            name="viewModel"
            type="com.aveplus.avepay_cpocket.music.main.home.ItemCategoryVM" />
    </data>

    <RelativeLayout

        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginRight="@dimen/dimen_1x"

        android:background="?android:selectableItemBackground"
        android:clickable="true"
        android:gravity="right"
        android:onClick="@{viewModel::onItemClicked}">


        <RelativeLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:gravity="right">

            <ImageView
                android:id="@+id/img_video_cate"
                android:layout_width="@dimen/item_category_width"
                android:layout_height="@dimen/item_category_height"
                android:focusable="false"
                android:scaleType="fitXY"
                app:url="@{viewModel.background}" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerInParent="true"
                android:ellipsize="end"
                android:singleLine="true"
                android:text="@{viewModel.name}"
                android:textAllCaps="true"
                android:textColor="@color/white"
                android:textSize="@dimen/text_size_xnormal"
                android:textStyle="bold" />

        </RelativeLayout>
    </RelativeLayout>
</layout>